Uploaded image for project: 'Hadoop HDFS'
  1. Hadoop HDFS
  2. HDFS-5083

Update the HDFS compatibility version range

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Blocker
    • Resolution: Fixed
    • 2.1.0-beta, 2.3.0
    • 2.1.0-beta
    • None
    • None
    • Incompatible change, Reviewed

    Description

      Since we have made incompatible changes including RPCv9, the following needs to be updated. For branch-2 and branch-2.*, I think it needs to be set to 2.1.0.

      DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_DEFAULT
      DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_DEFAULT

      The rpc change will make dn registration fail, so it won't get to the actual version check, but this still needs to be set correctly, since we are aiming 2.1.0 to be api/protocol stable.

      Attachments

        1. HDFS-5083.branch-2.x.patch
          2 kB
          Kihwal Lee

        Activity

          People

            kihwal Kihwal Lee
            kihwal Kihwal Lee
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: